MOUNT_CD9660(8)

NAME
mount_cd9660 - mount an ISO-9660 file system

SYNOPSIS
mount_cd9660 [-begjrv] [-C charset] [-o options] [-s startsector] special node

DESCRIPTION
The mount_cd9660 utility attaches the ISO-9660 file system residing on the device special to the global file system namespace at the location indicated by node. This command is normally executed by mount(8) at boot time.

The options are as follows:

-b  Relax checking for Supplementary Volume Descriptor Flags field which is set to a wrong value on some Joliet formatted disks.

-e  Enable the use of extended attributes.

-g  Do not strip version numbers on files. (By default, if there are files with different version numbers on the disk, only the last one will be listed.) In either case, files may be opened without explicitly stating a version number.

-j  Do not use any Joliet extensions included in the file system.

-o  Options are specified with a -o flag followed by a comma separated string of options. See the mount(8) man page for possible options and their meanings. The following cd9660 specific options are available:

    extatt
        Same as -e.
    gens
        Same as -g.
    nojoliet
        Same as -j.
    norrip
        Same as -r.
    brokenjoliet
        Same as -b.

-r  Do not use any Rockridge extensions included in the file system.

-s startsector
    Start the file system at startsector. Normally, if the underlying device is a CD-ROM drive, mount_cd9660 will try to figure out the last track from the CD-ROM containing data, and start the file system there. If the device is not a CD-ROM, or the table of contents cannot be examined, the file system will be started at sector 0. This option can be used to override the behaviour. Note that startsector is measured in CD-ROM blocks, with 2048 bytes each. This is the same as for example the info command of cdcontrol(1) is printing. It is possible to mount an arbitrary session of a multi-session CD by specifying the correct startsector here.

-C charset
    Specify local charset to convert Unicode file names when using Joliet extensions.

-v  Be verbose about the starting sector decisions made.

EXAMPLES
The following command can be used to mount a Kodak Photo-CD:

    mount_cd9660 -o rw -v -s 0 /dev/cd0 /cdrom

SEE ALSO
cdcontrol(1), mount(2), unmount(2), cd9660(5), fstab(5), mdconfig(8), mount(8)

HISTORY
The mount_cd9660 utility first appeared in 4.4BSD.

The Unicode conversion routine was added by Ryuichiro Imura <imura@ryu16.org> in 2003.

BUGS
POSIX device node mapping is currently not supported.

Version numbers are not stripped if Rockridge extensions are in use. In this case, accessing files that do not have Rockridge names without version numbers gets the one with the lowest version number and not the one with the highest.

There is no ECMA support.